<?php

namespace api\classes;

use api\classes\API;

require_once 'API.php';

class API_office_stompjes extends API
{
    public function addStomp()
    {
        $query = "INSERT INTO office_stompjes (stomp_uuid, user_uuid, stomp_timestamp) VALUES (UUID(), ?, ?)";
        $stmt = $this->prepareStatement($query);
        $stmt->bind_param('si', $this->data['user_uuid'], time());
        $this->executeStatement($stmt);
        $stmt->close();

        $this->apiOutput(200, ['success' => 'Stomp added.']);
    }

    public function deleteStomp()
    {
        $query = "DELETE FROM office_stompjes WHERE stomp_uuid = ?";
        $stmt = $this->prepareStatement($query);
        $stmt->bind_param('s', $this->data['stomp_uuid']);
        $this->executeStatement($stmt);
        $stmt->close();

        $this->apiOutput(200, ['success' => 'Stomp removed.']);
    }
}